Bug 431515 - "HSgtk.o: unknown symbol" - problems linking with ghci
"HSgtk.o: unknown symbol" - problems linking with ghci
Product: Fedora
Classification: Fedora
Component: ghc (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-05 02:38 EST by Jens Petersen
Modified: 2008-07-16 02:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-15 08:44:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-02-05 02:38:48 EST
Description of problem:
I am not sure if this is a gtk2hs or a ghc problem.
Recent ghc in fedora anyway seems to have problems with
linking .o modules at runtime anyway.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. runhaskell -package gtk
Actual results:
ghc-6.8.2: /usr/lib64/ghc/6.8.2/gtk2hs/HSgtk.o: unknown symbol
ghc-6.8.2: unable to load package `gtk-'

Expected results:
no error

Additional info:
I see this on devel, F8 and F7 too, and also with our ghc-6.8.1 builds.
Comment 1 Jens Petersen 2008-02-05 08:42:16 EST
Actually F7 is ok.  I have no problem with:


but that is a bit old now of course.
Comment 2 Bug Zapper 2008-05-14 01:00:11 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Bryan O'Sullivan 2008-07-15 08:44:43 EDT
This is fixed in rawhide.
Comment 4 Jens Petersen 2008-07-16 02:56:56 EDT
Still needs to be fixed for f9.

Note You need to log in before you can comment on or make changes to this bug.